/************************************************************************
 *   mIRC MySQL mircmysql.h
 *   Copyright (C) 2000-2003 Michael Reynolds
 *
 *   See file readme.txt for additional names of the programmers.
 *
 *   This file is part of mIRC MySQL.
 *
 *   mIRC MySQL is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   mIRC MySQL is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with mIRC MySQL; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef _DEBUG
# define mIRC(x) extern "C" int WINAPI x(HWND mWnd,HWND,char *mIRCdata,char *,BOOL,BOOL)
#else
# define mIRC(x) extern "C" int WINAPI x(HWND,HWND,char *mIRCdata,char *,BOOL,BOOL)
#endif

#include <stdlib.h>
#include <stdarg.h>
#include <stdio.h>
#include <windows.h>

//set this to the path of the mysql.h that comes with MySQL
#include "g:\\mysql\\include\\mysql.h"

#include "settings.h"
#include "base.h"
#include "extern.h"

#if !defined(MIRC_MYSQL_H)
# define MIRC_MYSQL_H

# define snprintf _snprintf
# define vsnprintf _vsnprintf

typedef struct {
	DWORD  mVersion;
	HWND   mHwnd;
	BOOL   mKeep;
} LOADINFO;

typedef struct labels_ LABELS;
struct labels_ {
	char *label;
	MYSQL_RES *result;
	MYSQL mysql;
	LABELS *next;
	LABELS *prev;
};

static LABELS *mainlabel;

#endif
